Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tapestry5.internal.services
Class StreamPageContentResultProcessor

    java.lang.Object
      org.apache.tapestry5.internal.services.StreamPageContentResultProcessor

All Implemented Interfaces:
  ComponentEventResultProcessor<StreamPageContent>

    public class StreamPageContentResultProcessor

extends java.lang.Object
implements ComponentEventResultProcessor<StreamPageContent>

Used to trigger the rendering of a particular page without causing a redirect to that page. The content of the page is just streamed to the client.

Since:
  5.2.0

Constructor Summary
`StreamPageContentResultProcessor(PageRenderRequestHandler handler, ComponentClassResolver resolver, TypeCoercer typeCoercer)`

Method Summary
`void` | `processResultValue(StreamPageContent value)` For a given, non-null return value from a component event method, construct and send a response.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StreamPageContentResultProcessor

    public StreamPageContentResultProcessor(PageRenderRequestHandler handler,
                                            ComponentClassResolver resolver,
                                            TypeCoercer typeCoercer)

Method Detail

### processResultValue

    public void processResultValue(StreamPageContent value)
                            throws java.io.IOException

  Description copied from interface: `ComponentEventResultProcessor`
  For a given, non-null return value from a component event method, construct and send a response.

  Specified by:
    `processResultValue` in interface `ComponentEventResultProcessor<StreamPageContent>`
  Parameters:
    `value` - the value returned from a method
  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2012 The Apache Software Foundation.